This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 114741 - "up2date -d" produces error
"up2date -d" produces error
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-02 05:23 EST by Volker Meyer
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-25 12:58:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Volker Meyer 2004-02-02 05:23:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1 (ax)

Description of problem:
While /usr/sbin/up2date -l
works after setting
export http_proxy=http://proxy:8080, the
following doesn't:
---
/usr/sbin/up2date -d up2date up2date-gnome

Fetching package list for channel: redhat-linux-i386-9...
########################################

Fetching package list for channel: fedora-core-1...

Fetching
http://fedora.redhat.com/releases/fedora-core-1/headers/header.info...
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1165, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 745, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1028, in batchRun
    batch.run()
  File "up2dateBatch.py", line 57, in run
  File "up2dateBatch.py", line 96, in __findPackagesToUpdate
  File "packageList.py", line 117, in run
  File "rhnPackageInfo.py", line 316, in getAvailableAllArchPackageList
  File "rhnPackageInfo.py", line 156, in availablePackageList
  File "rpcServer.py", line 111, in doCall
  File "repoDirector.py", line 26, in listPackages
  File "rpmSource.py", line 226, in listPackages
  File "/usr/share/rhn/up2date_client/repoBackends/yumRepo.py", line
197, in lis
tPackages
    agent = "Up2date 3.9/Yum")
  File "/usr/share/rhn/up2date_client/repoBackends/urlUtils.py", line
270, in fe
tchUrl
    buffer = readFDBuf(fh, progressCallback) 
  File "/usr/share/rhn/up2date_client/repoBackends/urlUtils.py", line
240, in re
adFDBuf
    size = get_size(fd)
  File "/usr/share/rhn/up2date_client/repoBackends/urlUtils.py", line
231, in ge
t_size
    return long(size)
TypeError: long() argument must be a string or a number


Version-Release number of selected component (if applicable):
4.0.1-1

How reproducible:
Always

Steps to Reproduce:
1. /usr/sbin/up2date -d 
2.
3.
    

Actual Results:  /usr/sbin/up2date -d up2date up2date-gnome

Fetching package list for channel: redhat-linux-i386-9...
########################################

Fetching package list for channel: fedora-core-1...

Fetching
http://fedora.redhat.com/releases/fedora-core-1/headers/header.info...
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1165, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 745, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1028, in batchRun
    batch.run()
  File "up2dateBatch.py", line 57, in run
  File "up2dateBatch.py", line 96, in __findPackagesToUpdate
  File "packageList.py", line 117, in run
  File "rhnPackageInfo.py", line 316, in getAvailableAllArchPackageList
  File "rhnPackageInfo.py", line 156, in availablePackageList
  File "rpcServer.py", line 111, in doCall
  File "repoDirector.py", line 26, in listPackages
  File "rpmSource.py", line 226, in listPackages
  File "/usr/share/rhn/up2date_client/repoBackends/yumRepo.py", line
197, in lis
tPackages
    agent = "Up2date 3.9/Yum")
  File "/usr/share/rhn/up2date_client/repoBackends/urlUtils.py", line
270, in fe
tchUrl
    buffer = readFDBuf(fh, progressCallback) 
  File "/usr/share/rhn/up2date_client/repoBackends/urlUtils.py", line
240, in re
adFDBuf
    size = get_size(fd)
  File "/usr/share/rhn/up2date_client/repoBackends/urlUtils.py", line
231, in ge
t_size
    return long(size)
TypeError: long() argument must be a string or a number


Expected Results:  Download of packages

Additional info:

Note You need to log in before you can comment on or make changes to this bug.